package com.ruoyi.inventory.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TbAssetInventoryDTO {
    /** 资产盘点记录编号 */
    private Long id;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String name;

    /** 盘点部门 */
    @Excel(name = "盘点部门")
    private String deptName;

    /** 盘点部门 */
    @Excel(name = "盘点部门")
    private String inventoryDepartment;

    /** 盘点人 */
    @Excel(name = "盘点人")
    private String inventoryBy;

    /** 盘点日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "盘点日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inventoryDate;

    /** 盘点位置 */
    @Excel(name = "盘点位置")
    private String inventoryLocation;

    private String locationName;

    /** 盘点状态，0:盘点编制，1：盘点执行，2：盘点完毕，3：盘点暂停 */
    @Excel(name = "盘点状态，0:盘点编制，1：盘点执行，2：盘点完毕，3：盘点暂停")
    private Long inventoryStatus;

    /** 盘点结果，0：盘亏，1：盘盈，2：正常 */
    @Excel(name = "盘点结果，0：盘亏，1：盘盈，2：正常")
    private Long inventoryResult;

    /** 记录状态，0：未提交，1：已提交 */
    @Excel(name = "记录状态，0：未提交，1：已提交")
    private Long recordStatus;

    /** 记录创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 记录更新时间 */
    private Date updatedTime;
}
