package com.ruoyi.inventory.service;

import java.util.List;
import com.ruoyi.inventory.domain.TbAssetInventory;
import com.ruoyi.inventory.domain.dto.TakeStockDTO;
import com.ruoyi.inventory.domain.dto.TbAssetInventoryDTO;

/**
 * 资产盘点记录Service接口
 * 
 * @author ydl
 * @date 2023-06-01
 */
public interface ITbAssetInventoryService 
{
    /**
     * 查询资产盘点记录
     * 
     * @param id 资产盘点记录主键
     * @return 资产盘点记录
     */
    public TbAssetInventory selectTbAssetInventoryById(Long id);

    TbAssetInventory selectTbAssetInventoryByNum(String num);
    /**
     * 查询资产盘点记录列表
     * 
     * @param tbAssetInventory 资产盘点记录
     * @return 资产盘点记录集合
     */
    public List<TbAssetInventory> selectTbAssetInventoryList(TbAssetInventory tbAssetInventory);

    /**
     * 新增资产盘点记录
     * 
     * @param tbAssetInventory 资产盘点记录
     * @return 结果
     */
    public int insertTbAssetInventory(TbAssetInventory tbAssetInventory);

    public int addByTakeStock(List<TakeStockDTO> dto);

    /**
     * 修改资产盘点记录
     * 
     * @param tbAssetInventory 资产盘点记录
     * @return 结果
     */
    public int updateTbAssetInventory(TbAssetInventory tbAssetInventory);

    /**
     * 批量删除资产盘点记录
     * 
     * @param ids 需要删除的资产盘点记录主键集合
     * @return 结果
     */
    public int deleteTbAssetInventoryByIds(Long[] ids);

    /**
     * 删除资产盘点记录信息
     * 
     * @param id 资产盘点记录主键
     * @return 结果
     */
    public int deleteTbAssetInventoryById(Long id);

    /**
     * 查询资产盘点记录列表
     *
     * @param dto 资产盘点记录
     * @return 资产盘点记录集合
     */
    public List<TbAssetInventoryDTO> selectTbAssetInventoryDTOList(TbAssetInventoryDTO dto);
}
