package com.ruoyi.ptxlib.constant;

/**
 * PtnxD11CommDef.h 常量设置
 */
public class PTXConstants {
    /** 最大纸张宽度 */
    public static Integer MaxLabelWidth = 120;

    /** 最大打印宽度 */
    public static Integer MaxPrintWidth = 4;


    public static final Double Pi        = 3.14159;
    public static final Integer SpeedOfLight = 300000; // 千米每秒

    /* PTXA_SetupStatus () 设置状态 */
    /* Input Parameter - mode */
    /** Disable snooper 关闭侦听器 */
    public static final Integer PTXA_SnoopOff         = 0;
    /** Serial 启用串口侦听器 */
    public static final Integer PTXA_SnoopSer         = 1;
    /** Parallel 启用并口侦听器 */
    public static final Integer PTXA_SnoopPar         = 2;
    /** Ethernet 启用以太网端口的侦听器 */
    public static final Integer PTXA_SnoopEth         = 3;

    /* PTXA_JobSetup() 工件设置 */
    /* Input Parameter - mode  */
    /** There is not Job parameter setting before the form */
    public static final Integer PTXA_JobModeReset     = 0;
    /** Width 宽度 */
    public static final Integer PTXA_JobModeWidth     = 1;
    /** Height 高度 */
    public static final Integer PTXA_JobModeLength    = 2;
    /** Speed IPS 提速IPS */
    public static final Integer PTXA_JobModeSpeed     = 3;
    /** Intensity 强度 */
    public static final Integer PTXA_JobModeIntensity = 4;
    /** Label Sensor 标签传感器 */
    public static final Integer PTXA_JobModeLabel     = 5;
    /** Media 媒体 */
    public static final Integer PTXA_JobModeMedia     = 6;
    /** Rotation 旋转 */
    public static final Integer PTXA_JobModeRotate    = 7;

    /* Input Parameter - value for PTXA_JobModeLabel 工作模式标签 */
    /** No sensor 无传感器 */
    public static final Integer PTXA_JobLabelNoSensor = 0;
    /** Mark 标记 */
    public static final Integer PTXA_JobLabelMark     = 1;
    /** Gap */
    public static final Integer PTXA_JobLabelGap      = 2;
    /** Advanced gap 高级间隙 */
    public static final Integer PTXA_JobLabelAdvGap   = 3;
    /** Advanced notch 高级凹槽 */
    public static final Integer PTXA_JobLabelAdvNotch = 4;

    /* Input Prameter - value for PTXA_JobModeMedia 工作模式媒体 */
    /** Continuous mode 连续模式 */
    public static final Integer PTXA_JobMediaCon          = 0;
    /** Tear-off script 撕裂脚本 */
    public static final Integer PTXA_JobMediaTearoffScrip = 1;
    /** Tear-off mode 撕裂模式 */
    public static final Integer PTXA_JobMediaTearoff      = 2;
    /** peer-off */
    public static final Integer PTXA_JobMediaPeeroff      = 3;
    /** Cut */
    public static final Integer PTXA_JobMediaCut          = 4;

    /* Input Parameter - value for PTXA_JobModeRotate 工作模式轮换 */
    /** Portrait 肖像 */
    public static final Integer PTXA_JobRotatePort    = 0;
    /** Landscape 景观 */
    public static final Integer PTXA_JobRotateLand    = 90;
    /** Inverted portrait 倒立画像 */
    public static final Integer PTXA_JobRotateInvPort = 180;
    /** Inverted landscape 倒挂景观 */
    public static final Integer PTXA_JobRotateInvLand = 270;

    /* PTXA_SetBarcode() */
    /* Input Parameter - bcdtype (for both PTXA_SetBarcode() and PTXA_PrintBarcode()) */
    /** Code39 */
    public static final Integer PTXA_BCD_C39          = 0;
    /** CODE128A */
    public static final Integer PTXA_BCD_C128A        = 1;
    /** CODE128B */
    public static final Integer PTXA_BCD_C128B        = 2;
    /** CODE128C */
    public static final Integer PTXA_BCD_C128C        = 3;
    /** EAN13 */
    public static final Integer PTXA_BCD_EAN13        = 4;
    /** UPCA */
    public static final Integer PTXA_BCD_UPCA         = 5;
    /** MAXICODE */
    public static final Integer PTXA_BCD_MAXICODE     = 6;
    /** QR */
    public static final Integer PTXA_BCD_QR           = 7;
    /** PDF417 */
    public static final Integer PTXA_BCD_PDF417       = 8;

    /* Input Parameter - mode  */
    /** No optional parameter attach to barcode 没有可选参数附加到条形码*/
    public static final Integer PTXA_BCDOptParam_RESET   = 0;
    /** Height 高度 */
    public static final Integer PTXA_BCDOptParam_HEIGHT  = 1;
    /** Rotation 旋转 */
    public static final Integer PTXA_BCDOptParam_ROTATE  = 2;
    /** Magnify 放大 */
    public static final Integer PTXA_BCDOptParam_MAGNIFY = 3;
    /** PDF */
    public static final Integer PTXA_BCDOptParam_PDF     = 4;
    /** Ratio */
    public static final Integer PTXA_BCDOptParam_Ratio   = 5;

    /* Input Parameter - value for PTXA_BCDOptParam_ROTATION */
    /** Portrait 画像 */
    public static final Integer PTXA_BcdRotatePort       = 0;
    /** Landscape 景观 */
    public static final Integer PTXA_BcdRotateLand       = 90;
    /** Inverted portrait 倒立画像 */
    public static final Integer PTXA_BcdRotateInvPort    = 180;
    /** Inverted landscape 倒挂景观 */
    public static final Integer PTXA_BcdRotateInvLand    = 270;

    /* Input Parameter - value for PTXA_BCDOptParam_PDF */
    /** Barcode PDF disabled 条形码PDF禁用 */
    public static final Integer PTXA_BcdPDFOff = 0;
    /** Barcode PDF enabled 条形码PDF启用 */
    public static final Integer PTXA_BcdPDFOn  = 1;

    /* PTXA_FormSetup() */
    /* Input Parameters - mode  */
    /** form length set to CREATE form 表单长度设置为创建表单 */
    public static final Integer PTXA_FormSetupLength = 1;
    /** counter of execute the form 执行形式的计数器 */
    public static final Integer PTXA_FormSetupCount  = 2;

    /* PTXA_FontSetup() */
    /** FontName 字体名 */
    public static final Integer PTXA_FontName     = 0;
    /** FontBold 字体加粗 */
    public static final Integer PTXA_FontBold     = 1;
    /** FontSlant 字体倾斜 */
    public static final Integer PTXA_FontSlant    = 2;
    /** FontEncoding 字体编码 */
    public static final Integer PTXA_FontEncoding = 3;

    /** Bold on 加粗（开） */
    public static final String PTXA_BoldOn     = "ON";
    /** Bold off 加粗（关） */
    public static final String PTXA_BoldOff    = "OFF";
    /** Italic slant 右斜体 */
    public static final String PTXA_SlantRight = "R";
    /** Backward slant 左倾斜 */
    public static final String PTXA_SlantLeft  = "L";
    /** ASCII encoding ASCII编码 */
    public static final String PTXA_CPAscii    = "ASCII";
    /** GB encoding GB编码 */
    public static final String PTXA_CPGB       = "GB";
    /** Big5 for TaiWan encoding 台湾编码 */
    public static final String PTXA_CPBig5     = "BIG5";
    /** Korean encoding 韩文编码 */
    public static final String PTXA_CPKSC      = "KSC";
    /** Kanji SJIS for Japan encoding 日本韩式SJIS编码 */
    public static final String PTXA_CPSJIS     = "SJIS";
    /** UTF-8 encoding UTF-8编码 */
    public static final String PTXA_CPUTF8     = "UTF8";

    /* Return value from APIs API返回值 */
    /** good in return 操作成功 */
    public static final Integer PTXA_OK      = 0;
    /** wrong input parameter – mode/value/lForm/barcodetype 操作失败 */
    public static final Integer PTXA_INVALID = 1;
}
