package com.ruoyi.ptxlib.domain;

import lombok.Data;

@Data
public class PTXLabelCode {
    /** 二维码类型 1：条形码 2：二维码 */
    private Integer codeType;

    /** 标签间距 */
    private Integer spaceBetween;

    /** x坐标 10 = 4毫米 */
    private Integer X;

    /** y坐标 10 = 1毫米 最小为 标签间距 / 2 - 5  */
    private Integer Y;

    /** 宽度<br/>
     * 条形码：最大宽度：4
     * 二维码：5 = 1厘米
     * */
    private Integer width;

    /** 存入数据<br/>
     * 条形码不可以写入中文
     * */
    private String data;

    /** 条形码下是否显示文字  */
    private Boolean isShowText;

    /** 条形码高度<br/>
     *  单位为0.1英寸<br/>
     *  包含码文是最小为4，不包含码文是最小为3，最大99
     * */
    private Double height;

    public PTXLabelCode() {
    }

    public PTXLabelCode(Integer codeType, Integer spaceBetween, Integer x, Integer y, Integer width, String data) {
        this.codeType = codeType;
        this.spaceBetween = spaceBetween;
        this.X = x;
        this.Y = y;
        this.width = width;
        this.data = data;
    }

    public PTXLabelCode(Integer codeType, Integer spaceBetween, Integer x, Integer y, Integer width, String data, Boolean isShowText, Double height) {
        this.codeType = codeType;
        this.spaceBetween = spaceBetween;
        this.X = x;
        this.Y = y;
        this.width = width;
        this.data = data;
        this.isShowText = isShowText;
        this.height = height;
    }
}
