/*
 Navicat Premium Data Transfer

 Source Server         : 原动力
 Source Server Type    : MySQL
 Source Server Version : 80030 (8.0.30)
 Source Host           : 139.9.50.163:3306
 Source Schema         : rfid-hotel-manager

 Target Server Type    : MySQL
 Target Server Version : 80030 (8.0.30)
 File Encoding         : 65001

 Date: 21/11/2023 17:50:51
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for QRTZ_BLOB_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_BLOB_TRIGGERS`;
CREATE TABLE `QRTZ_BLOB_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_BLOB_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_BLOB_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_CALENDARS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_CALENDARS`;
CREATE TABLE `QRTZ_CALENDARS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_CALENDARS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_CRON_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_CRON_TRIGGERS`;
CREATE TABLE `QRTZ_CRON_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_CRON_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_CRON_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_FIRED_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_FIRED_TRIGGERS`;
CREATE TABLE `QRTZ_FIRED_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_FIRED_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_JOB_DETAILS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_JOB_DETAILS`;
CREATE TABLE `QRTZ_JOB_DETAILS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_JOB_DETAILS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_LOCKS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_LOCKS`;
CREATE TABLE `QRTZ_LOCKS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_LOCKS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_PAUSED_TRIGGER_GRPS`;
CREATE TABLE `QRTZ_PAUSED_TRIGGER_GRPS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SCHEDULER_STATE
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SCHEDULER_STATE`;
CREATE TABLE `QRTZ_SCHEDULER_STATE`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_SCHEDULER_STATE
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SIMPLE_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPLE_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_SIMPLE_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_SIMPLE_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SIMPROP_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPROP_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_SIMPROP_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_SIMPROP_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_TRIGGERS`;
CREATE TABLE `QRTZ_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name` ASC, `job_name` ASC, `job_group` ASC) USING BTREE,
  CONSTRAINT `QRTZ_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `QRTZ_JOB_DETAILS` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (32, 'tb_order_detail', '资产单据明细表', NULL, NULL, 'TbOrderDetail', 'crud', 'com.ruoyi.order', 'order', 'detail', '单据明细', '原动力', '0', '/', '{\"parentMenuId\":\"2064\"}', 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:55', NULL);
INSERT INTO `gen_table` VALUES (34, 'tb_order', '资产单据表', NULL, NULL, 'TbOrder', 'crud', 'com.ruoyi.order', 'order', 'order', '资产单据', '原动力', '0', '/', '{\"parentMenuId\":2064}', 'admin', '2023-05-24 10:44:44', '', '2023-05-24 10:47:42', NULL);
INSERT INTO `gen_table` VALUES (35, 'tb_asset_inventory', '资产盘点记录表', NULL, NULL, 'TbAssetInventory', 'crud', 'com.ruoyi.inventory', 'inventory', 'inventory', '资产盘点记录', 'ydl', '0', '/', '{\"parentMenuId\":2077}', 'admin', '2023-06-01 10:07:34', '', '2023-06-01 10:15:33', NULL);
INSERT INTO `gen_table` VALUES (36, 'tb_inventory_detail', '资产盘点明细表', NULL, NULL, 'TbInventoryDetail', 'crud', 'com.ruoyi.inventory', 'inventory', 'detail', '资产盘点明细', 'ydl', '0', '/', '{\"parentMenuId\":2077}', 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:16:47', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 484 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (406, '32', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:55');
INSERT INTO `gen_table_column` VALUES (407, '32', 'order_number', '单据编号', 'varchar(50)', 'String', 'orderNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:55');
INSERT INTO `gen_table_column` VALUES (408, '32', 'asset_number', '资产编号', 'varchar(255)', 'String', 'assetNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:55');
INSERT INTO `gen_table_column` VALUES (409, '32', 'allocation_old_responsible_person', '【调拨】旧管理人', 'varchar(255)', 'String', 'allocationOldResponsiblePerson', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:55');
INSERT INTO `gen_table_column` VALUES (410, '32', 'allocation_old_location_number', '【调拨】旧功能位置编号', 'varchar(255)', 'String', 'allocationOldLocationNumber', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:55');
INSERT INTO `gen_table_column` VALUES (411, '32', 'allocation_new_responsible_person', '【调拨】新管理人', 'varchar(255)', 'String', 'allocationNewResponsiblePerson', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:56');
INSERT INTO `gen_table_column` VALUES (412, '32', 'allocation_new_location_number', '【调拨】新功能位置编号', 'varchar(255)', 'String', 'allocationNewLocationNumber', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:56');
INSERT INTO `gen_table_column` VALUES (413, '32', 'lend_return_date', '【借出】预计归还时间', 'timestamp', 'Date', 'lendReturnDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:56');
INSERT INTO `gen_table_column` VALUES (414, '32', 'lend_actual_return_date', '【借出】实际归还时间', 'timestamp', 'Date', 'lendActualReturnDate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2023-05-24 09:23:22', '', '2023-05-24 09:33:56');
INSERT INTO `gen_table_column` VALUES (415, '32', 'lend_by_sponsor', '【借出】归还经手人', 'varchar(255)', 'String', 'lendBySponsor', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-05-24 09:23:23', '', '2023-05-24 09:33:56');
INSERT INTO `gen_table_column` VALUES (416, '32', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'input', '', 11, 'admin', '2023-05-24 09:23:23', '', '2023-05-24 09:33:56');
INSERT INTO `gen_table_column` VALUES (441, '34', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-05-24 10:44:44', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (442, '34', 'order_number', '单据编号', 'varchar(50)', 'String', 'orderNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-05-24 10:44:44', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (443, '34', 'order_type', '单据类型，0：未知：1：调整，2：调拨，3：借出，4：拆分， 5：闲置，6：启用，7：报废，8：变卖', 'int', 'Long', 'orderType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', 'asset_order_type', 3, 'admin', '2023-05-24 10:44:44', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (444, '34', 'asset_total_original_value', '资产总原值（元）', 'varchar(255)', 'String', 'assetTotalOriginalValue', '0', '0', '1', '1', '1', '1', '0', 'EQ', 'input', '', 4, 'admin', '2023-05-24 10:44:44', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (445, '34', 'asset_total_net_value', '资产总净值（元）', 'varchar(255)', 'String', 'assetTotalNetValue', '0', '0', '1', '1', '1', '1', '0', 'EQ', 'input', '', 5, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (446, '34', 'application_date', '申请日期', 'timestamp', 'Date', 'applicationDate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 6, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (447, '34', 'application_department', '申请部门', 'varchar(255)', 'String', 'applicationDepartment', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:42');
INSERT INTO `gen_table_column` VALUES (448, '34', 'adjustment_asset_number', '【调整】资产编号', 'varchar(255)', 'String', 'adjustmentAssetNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (449, '34', 'adjustment_original_asset_info', '【调整】资产原信息，以JSON字符串格式存入提取', 'longtext', 'String', 'adjustmentOriginalAssetInfo', '0', '0', '0', '1', '1', '1', '0', 'EQ', 'textarea', '', 9, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (450, '34', 'allocation_call_out_department', '【调拨】调出部门', 'varchar(255)', 'String', 'allocationCallOutDepartment', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (451, '34', 'allocation_call_out_by', '【调拨】调出经办人', 'varchar(255)', 'String', 'allocationCallOutBy', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (452, '34', 'allocation_call_out_date', '【调拨】调出日期', 'timestamp', 'Date', 'allocationCallOutDate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 12, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (453, '34', 'allocation_call_in_department', '【调拨】调入部门', 'varchar(255)', 'String', 'allocationCallInDepartment', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-05-24 10:44:45', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (454, '34', 'allocation_call_in_by', '【调拨】调入经办人', 'varchar(255)', 'String', 'allocationCallInBy', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (455, '34', 'allocation_call_in_date', '【调拨】调入日期', 'timestamp', 'Date', 'allocationCallInDate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (456, '34', 'allocation_new_responsible_person', '【调拨】新管理人', 'varchar(255)', 'String', 'allocationNewResponsiblePerson', '0', '0', NULL, '1', '1', '1', '0', 'EQ', 'input', '', 16, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:43');
INSERT INTO `gen_table_column` VALUES (457, '34', 'allocation_new_location_number', '【调拨】新功能位置编号', 'varchar(255)', 'String', 'allocationNewLocationNumber', '0', '0', NULL, '1', '1', '1', '0', 'EQ', 'input', '', 17, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (458, '34', 'lend_department', '【借出】借出部门', 'varchar(255)', 'String', 'lendDepartment', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (459, '34', 'lend_by_sponsor', '【借出】经手人', 'varchar(255)', 'String', 'lendBySponsor', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 19, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (460, '34', 'lend_passing_unit', '【借出】往来单位', 'varchar(255)', 'String', 'lendPassingUnit', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 20, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (461, '34', 'reason', '原因说明', 'varchar(255)', 'String', 'reason', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 21, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (462, '34', 'prepared_by', '制单人', 'varchar(100)', 'String', 'preparedBy', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 22, 'admin', '2023-05-24 10:44:46', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (463, '34', 'prepared_department', '制单部门', 'varchar(255)', 'String', 'preparedDepartment', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 23, 'admin', '2023-05-24 10:44:47', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (464, '34', 'corporation', '所属公司', 'varchar(255)', 'String', 'corporation', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 24, 'admin', '2023-05-24 10:44:47', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (465, '34', 'record_status', '记录状态', 'int', 'Long', 'recordStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', 'asset_record_status', 25, 'admin', '2023-05-24 10:44:47', '', '2023-05-24 10:47:44');
INSERT INTO `gen_table_column` VALUES (466, '35', 'id', '资产盘点记录编号', 'int', 'Long', 'id', '1', '1', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-06-01 10:07:34', '', '2023-06-01 10:15:33');
INSERT INTO `gen_table_column` VALUES (467, '35', 'order_number', '单据编号', 'varchar(50)', 'String', 'orderNumber', '0', '0', '1', '1', '0', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-06-01 10:07:34', '', '2023-06-01 10:15:33');
INSERT INTO `gen_table_column` VALUES (468, '35', 'name', '任务名称', 'varchar(255)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2023-06-01 10:07:34', '', '2023-06-01 10:15:33');
INSERT INTO `gen_table_column` VALUES (469, '35', 'inventory_department', '盘点部门', 'varchar(255)', 'String', 'inventoryDepartment', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-06-01 10:07:34', '', '2023-06-01 10:15:33');
INSERT INTO `gen_table_column` VALUES (470, '35', 'inventory_by', '盘点人', 'varchar(100)', 'String', 'inventoryBy', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-06-01 10:07:34', '', '2023-06-01 10:15:33');
INSERT INTO `gen_table_column` VALUES (471, '35', 'inventory_date', '盘点日期', 'timestamp', 'Date', 'inventoryDate', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 6, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:33');
INSERT INTO `gen_table_column` VALUES (472, '35', 'inventory_location', '盘点位置', 'varchar(100)', 'String', 'inventoryLocation', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 7, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (473, '35', 'inventory_status', '盘点状态，0:盘点编制，1：盘点执行，2：盘点完毕，3：盘点暂停', 'int', 'Long', 'inventoryStatus', '0', '0', '0', '0', '1', '1', '1', 'EQ', 'select', 'inventory_status', 8, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (474, '35', 'inventory_result', '盘点结果，0：盘亏，1：盘盈，2：正常', 'int', 'Long', 'inventoryResult', '0', '0', '0', '0', '1', '1', '1', 'EQ', 'select', 'inventory_result', 9, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (475, '35', 'record_status', '记录状态，0：未提交，1：已提交', 'int', 'Long', 'recordStatus', '0', '0', '0', '0', '1', '1', '1', 'EQ', 'select', 'asset_record_status', 10, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (476, '35', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'input', '', 11, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (477, '35', 'created_time', '记录创建时间', 'timestamp', 'Date', 'createdTime', '0', '0', NULL, '0', '0', '1', '0', 'EQ', 'datetime', '', 12, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (478, '35', 'updated_time', '记录更新时间', 'timestamp', 'Date', 'updatedTime', '0', '0', NULL, '0', '0', '0', '0', 'EQ', 'datetime', '', 13, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:15:34');
INSERT INTO `gen_table_column` VALUES (479, '36', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:16:47');
INSERT INTO `gen_table_column` VALUES (480, '36', 'order_number', '单据编号', 'varchar(50)', 'String', 'orderNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-06-01 10:07:35', '', '2023-06-01 10:16:47');
INSERT INTO `gen_table_column` VALUES (481, '36', 'inventory_metadata', '盘点元数据', 'longtext', 'String', 'inventoryMetadata', '0', '0', '1', '1', '1', '1', '0', 'EQ', 'textarea', '', 3, 'admin', '2023-06-01 10:07:36', '', '2023-06-01 10:16:47');
INSERT INTO `gen_table_column` VALUES (482, '36', 'is_update_data', '是否更新数据', 'int', 'Long', 'isUpdateData', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', 'sys_yes_no', 4, 'admin', '2023-06-01 10:07:36', '', '2023-06-01 10:16:47');
INSERT INTO `gen_table_column` VALUES (483, '36', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-06-01 10:07:36', '', '2023-06-01 10:16:47');

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2023-05-12 09:41:33', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2023-05-12 09:41:33', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2023-05-12 09:41:33', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2023-05-12 09:41:33', 'admin', '2023-05-15 13:54:12', '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2023-05-12 09:41:33', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2023-05-12 09:41:33', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 201 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '原动力', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', 'admin', '2023-05-26 16:58:59');
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL);
INSERT INTO `sys_dept` VALUES (200, 100, '0,100', 'A酒店', 3, NULL, NULL, NULL, '0', '0', 'admin', '2023-06-05 11:05:41', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 133 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 0, '未提交', '0', 'asset_record_status', NULL, 'default', 'N', '0', 'admin', '2023-05-15 09:03:34', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (106, 1, '已提交', '1', 'asset_record_status', NULL, 'default', 'N', '0', 'admin', '2023-05-22 15:05:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (107, 2, '已审核', '2', 'asset_record_status', NULL, 'default', 'N', '0', 'admin', '2023-05-22 15:05:24', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (108, 0, '未知', '0', 'asset_order_type', NULL, 'default', 'N', '1', 'admin', '2023-05-24 09:54:00', 'admin', '2023-05-24 17:11:45', NULL);
INSERT INTO `sys_dict_data` VALUES (109, 1, '调整', '1', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:54:11', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (110, 2, '调拨', '2', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:54:20', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (111, 3, '借出', '3', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:54:27', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (112, 4, '拆分', '4', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:54:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (113, 5, '闲置', '5', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:54:45', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (114, 6, '启用', '6', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:55:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (115, 7, '报废', '7', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:55:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (116, 8, '变卖', '8', 'asset_order_type', NULL, 'default', 'N', '0', 'admin', '2023-05-24 09:55:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (117, 0, '盘点编制', '0', 'inventory_status', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:17:07', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (118, 0, '盘点执行', '1', 'inventory_status', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:17:16', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (119, 0, '盘点完毕', '2', 'inventory_status', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:17:24', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (120, 0, '盘点暂停', '3', 'inventory_status', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:17:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (121, 0, '未开始', '0', 'inventory_result', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:18:08', 'admin', '2023-06-01 10:29:45', NULL);
INSERT INTO `sys_dict_data` VALUES (122, 0, '盘盈', '1', 'inventory_result', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:18:15', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (123, 0, '盘亏', '2', 'inventory_result', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:18:22', 'admin', '2023-06-01 10:30:09', NULL);
INSERT INTO `sys_dict_data` VALUES (124, 4, '正常', '3', 'inventory_result', NULL, 'default', 'N', '0', 'admin', '2023-06-01 10:30:17', 'admin', '2023-06-01 10:30:26', NULL);
INSERT INTO `sys_dict_data` VALUES (125, 0, '在用', '6', 'sys_manger_status', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:28:32', 'admin', '2023-06-02 10:30:48', NULL);
INSERT INTO `sys_dict_data` VALUES (126, 0, '闲置', '5', 'sys_manger_status', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:29:07', 'admin', '2023-06-02 10:30:35', NULL);
INSERT INTO `sys_dict_data` VALUES (127, 0, '报废', '7', 'sys_manger_status', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:29:27', 'admin', '2023-06-02 10:30:57', NULL);
INSERT INTO `sys_dict_data` VALUES (129, 0, '借用', '3', 'sys_manger_status', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:29:53', 'admin', '2023-06-02 10:30:22', NULL);
INSERT INTO `sys_dict_data` VALUES (130, 0, '变卖', '8', 'sys_manger_status', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:30:12', 'admin', '2023-06-02 10:31:02', NULL);
INSERT INTO `sys_dict_data` VALUES (131, 0, '固定资产', '0', 'sys_asset_property', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:32:24', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (132, 0, '无形资产', '1', 'sys_asset_property', NULL, 'default', 'N', '0', 'admin', '2023-06-02 09:32:44', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 106 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '资产表单记录状态', 'asset_record_status', '0', 'admin', '2023-05-15 09:00:52', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (101, '资产单据类型', 'asset_order_type', '0', 'admin', '2023-05-15 16:53:19', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (102, '盘点状态', 'inventory_status', '0', 'admin', '2023-06-01 10:13:52', '', NULL, '资产盘点状态');
INSERT INTO `sys_dict_type` VALUES (103, '盘点结果', 'inventory_result', '0', 'admin', '2023-06-01 10:14:27', '', NULL, '资产盘点结果');
INSERT INTO `sys_dict_type` VALUES (104, '管理状态', 'sys_manger_status', '0', 'admin', '2023-06-02 09:27:09', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (105, '资产性质', 'sys_asset_property', '0', 'admin', '2023-06-02 09:32:00', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2023-05-12 09:41:34', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2023-05-12 09:41:34', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2023-05-12 09:41:34', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 596 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;


-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2091 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 5, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2023-05-12 09:41:33', 'admin', '2023-06-01 10:14:37', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 4, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2023-05-12 09:41:33', 'admin', '2023-06-01 10:14:32', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 5, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2023-05-12 09:41:33', 'admin', '2023-05-24 09:29:44', '系统工具目录');
INSERT INTO `sys_menu` VALUES (4, '若依官网', 0, 9, 'http://ruoyi.vip', NULL, '', 0, 0, 'M', '1', '1', '', 'guide', 'admin', '2023-05-12 09:41:33', 'admin', '2023-05-15 08:46:28', '若依官网地址');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2023-05-12 09:41:33', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2023-05-12 09:41:33', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2023-05-12 09:41:33', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2023-05-12 09:41:33', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2023-05-12 09:41:33', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2023-05-12 09:41:33', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2023-05-12 09:41:33', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2023-05-12 09:41:33', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2023-05-12 09:41:33', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2023-05-12 09:41:33', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2023-05-12 09:41:33', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2023-05-12 09:41:33', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2023-05-12 09:41:33', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2023-05-12 09:41:33', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2023-05-12 09:41:33', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2023-05-12 09:41:33', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2023-05-12 09:41:33', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2023-05-12 09:41:33', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2023-05-12 09:41:33', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2023-05-12 09:41:33', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '资产管理', 0, 1, 'asset', NULL, NULL, 1, 0, 'M', '0', '0', '', 'example', 'admin', '2023-05-15 08:42:03', 'admin', '2023-05-15 10:49:13', '');
INSERT INTO `sys_menu` VALUES (2001, '变动管理', 0, 2, 'assetChange', NULL, NULL, 1, 0, 'M', '1', '0', '', 'tree-table', 'admin', '2023-05-15 08:45:53', 'admin', '2023-05-29 10:01:08', '');
INSERT INTO `sys_menu` VALUES (2002, '资产调整', 2000, 1, 'adjustment', 'asset/adjustment/index', NULL, 1, 0, 'C', '1', '0', 'asset:adjustment:list', '#', 'admin', '2023-05-15 09:31:55', 'admin', '2023-05-31 13:42:31', '资产调整菜单');
INSERT INTO `sys_menu` VALUES (2003, '资产调整查询', 2002, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:query', '#', 'admin', '2023-05-15 09:31:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2004, '资产调整新增', 2002, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:add', '#', 'admin', '2023-05-15 09:31:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2005, '资产调整修改', 2002, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:edit', '#', 'admin', '2023-05-15 09:31:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2006, '资产调整删除', 2002, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:remove', '#', 'admin', '2023-05-15 09:31:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '资产调整导出', 2002, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:export', '#', 'admin', '2023-05-15 09:31:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2008, '资产分类', 2000, 1, 'category', 'asset/category/index', NULL, 1, 0, 'C', '0', '0', 'asset:category:list', '#', 'admin', '2023-05-15 09:32:06', '', NULL, '资产分类菜单');
INSERT INTO `sys_menu` VALUES (2009, '资产分类查询', 2008, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:category:query', '#', 'admin', '2023-05-15 09:32:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '资产分类新增', 2008, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:category:add', '#', 'admin', '2023-05-15 09:32:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '资产分类修改', 2008, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:category:edit', '#', 'admin', '2023-05-15 09:32:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '资产分类删除', 2008, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:category:remove', '#', 'admin', '2023-05-15 09:32:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2013, '资产分类导出', 2008, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:category:export', '#', 'admin', '2023-05-15 09:32:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2014, '资产信息', 2000, 1, 'information', 'asset/information/index', NULL, 1, 0, 'C', '0', '0', 'asset:information:list', '#', 'admin', '2023-05-15 09:32:14', '', NULL, '资产信息菜单');
INSERT INTO `sys_menu` VALUES (2015, '资产信息查询', 2014, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:information:query', '#', 'admin', '2023-05-15 09:32:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2016, '资产信息新增', 2014, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:information:add', '#', 'admin', '2023-05-15 09:32:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2017, '资产信息修改', 2014, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:information:edit', '#', 'admin', '2023-05-15 09:32:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '资产信息删除', 2014, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:information:remove', '#', 'admin', '2023-05-15 09:32:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2019, '资产信息导出', 2014, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:information:export', '#', 'admin', '2023-05-15 09:32:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2020, '所属位置', 2000, 1, 'location', 'asset/location/index', NULL, 1, 0, 'C', '0', '0', 'asset:location:list', '#', 'admin', '2023-05-15 09:32:23', '', NULL, '所属位置菜单');
INSERT INTO `sys_menu` VALUES (2021, '所属位置查询', 2020, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:location:query', '#', 'admin', '2023-05-15 09:32:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2022, '所属位置新增', 2020, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:location:add', '#', 'admin', '2023-05-15 09:32:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2023, '所属位置修改', 2020, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:location:edit', '#', 'admin', '2023-05-15 09:32:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2024, '所属位置删除', 2020, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:location:remove', '#', 'admin', '2023-05-15 09:32:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2025, '所属位置导出', 2020, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'asset:location:export', '#', 'admin', '2023-05-15 09:32:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, '资产调拨明细', 2001, 2, 'allocationDetail', 'change/allocationDetail/index', NULL, 1, 0, 'C', '0', '0', 'change:allocationDetail:list', '#', 'admin', '2023-05-15 10:19:04', 'admin', '2023-05-15 17:09:55', '资产调拨明细菜单');
INSERT INTO `sys_menu` VALUES (2027, '资产调拨明细查询', 2026, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocationDetail:query', '#', 'admin', '2023-05-15 10:19:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2028, '资产调拨明细新增', 2026, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocationDetail:add', '#', 'admin', '2023-05-15 10:19:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2029, '资产调拨明细修改', 2026, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocationDetail:edit', '#', 'admin', '2023-05-15 10:19:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2030, '资产调拨明细删除', 2026, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocationDetail:remove', '#', 'admin', '2023-05-15 10:19:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2031, '资产调拨明细导出', 2026, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocationDetail:export', '#', 'admin', '2023-05-15 10:19:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2032, '资产调拨', 2001, 1, 'allocation', 'change/allocation/index', NULL, 1, 0, 'C', '0', '0', 'change:allocation:list', '#', 'admin', '2023-05-15 10:19:14', '', NULL, '资产调拨菜单');
INSERT INTO `sys_menu` VALUES (2033, '资产调拨查询', 2032, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocation:query', '#', 'admin', '2023-05-15 10:19:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2034, '资产调拨新增', 2032, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocation:add', '#', 'admin', '2023-05-15 10:19:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2035, '资产调拨修改', 2032, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocation:edit', '#', 'admin', '2023-05-15 10:19:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2036, '资产调拨删除', 2032, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocation:remove', '#', 'admin', '2023-05-15 10:19:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2037, '资产调拨导出', 2032, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:allocation:export', '#', 'admin', '2023-05-15 10:19:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2038, '资产借出', 2001, 1, 'assetLend', 'change/assetLend/index', NULL, 1, 0, 'C', '0', '0', 'change:assetLend:list', '#', 'admin', '2023-05-15 10:19:25', '', NULL, '资产借出菜单');
INSERT INTO `sys_menu` VALUES (2039, '资产借出查询', 2038, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:assetLend:query', '#', 'admin', '2023-05-15 10:19:25', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2040, '资产借出新增', 2038, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:assetLend:add', '#', 'admin', '2023-05-15 10:19:25', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2041, '资产借出修改', 2038, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:assetLend:edit', '#', 'admin', '2023-05-15 10:19:25', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2042, '资产借出删除', 2038, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:assetLend:remove', '#', 'admin', '2023-05-15 10:19:25', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2043, '资产借出导出', 2038, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:assetLend:export', '#', 'admin', '2023-05-15 10:19:25', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2044, '资产单据明细', 2001, 2, 'orderDetail', 'change/orderDetail/index', NULL, 1, 0, 'C', '0', '0', 'change:orderDetail:list', '#', 'admin', '2023-05-15 10:19:34', 'admin', '2023-05-15 17:10:03', '资产单据明细菜单');
INSERT INTO `sys_menu` VALUES (2045, '资产单据明细查询', 2044, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:orderDetail:query', '#', 'admin', '2023-05-15 10:19:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2046, '资产单据明细新增', 2044, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:orderDetail:add', '#', 'admin', '2023-05-15 10:19:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2047, '资产单据明细修改', 2044, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:orderDetail:edit', '#', 'admin', '2023-05-15 10:19:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2048, '资产单据明细删除', 2044, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:orderDetail:remove', '#', 'admin', '2023-05-15 10:19:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2049, '资产单据明细导出', 2044, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:orderDetail:export', '#', 'admin', '2023-05-15 10:19:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2050, '资产单据', 2001, 1, 'order', 'change/order/index', NULL, 1, 0, 'C', '0', '0', 'change:order:list', '#', 'admin', '2023-05-15 10:19:44', '', NULL, '资产单据菜单');
INSERT INTO `sys_menu` VALUES (2051, '资产单据查询', 2050, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:order:query', '#', 'admin', '2023-05-15 10:19:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2052, '资产单据新增', 2050, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:order:add', '#', 'admin', '2023-05-15 10:19:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2053, '资产单据修改', 2050, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:order:edit', '#', 'admin', '2023-05-15 10:19:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2054, '资产单据删除', 2050, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:order:remove', '#', 'admin', '2023-05-15 10:19:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2055, '资产单据导出', 2050, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:order:export', '#', 'admin', '2023-05-15 10:19:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2056, '资产归还', 2001, 1, 'return', 'change/return/index', NULL, 1, 0, 'C', '0', '0', 'change:return:list', '#', 'admin', '2023-05-15 10:19:54', '', NULL, '资产归还菜单');
INSERT INTO `sys_menu` VALUES (2057, '资产归还查询', 2056, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:return:query', '#', 'admin', '2023-05-15 10:19:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2058, '资产归还新增', 2056, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:return:add', '#', 'admin', '2023-05-15 10:19:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2059, '资产归还修改', 2056, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:return:edit', '#', 'admin', '2023-05-15 10:19:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2060, '资产归还删除', 2056, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:return:remove', '#', 'admin', '2023-05-15 10:19:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2061, '资产归还导出', 2056, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'change:return:export', '#', 'admin', '2023-05-15 10:19:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2062, '资产调整提交', 2002, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:submit', '#', 'admin', '2023-05-22 15:20:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2063, '资产调整审核', 2002, 7, '', NULL, NULL, 1, 0, 'F', '0', '0', 'asset:adjustment:audit', '#', 'admin', '2023-05-22 15:20:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2064, '单据管理', 0, 2, 'order', NULL, NULL, 1, 0, 'M', '0', '0', '', 'chart', 'admin', '2023-05-24 09:29:15', 'admin', '2023-05-24 09:29:56', '');
INSERT INTO `sys_menu` VALUES (2065, '单据明细', 2064, 1, 'detail', 'order/detail/index', NULL, 1, 0, 'C', '1', '1', 'order:detail:list', '#', 'admin', '2023-05-24 09:39:55', 'admin', '2023-05-27 09:36:28', '单据明细菜单');
INSERT INTO `sys_menu` VALUES (2066, '单据明细查询', 2065, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:detail:query', '#', 'admin', '2023-05-24 09:39:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2067, '单据明细新增', 2065, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:detail:add', '#', 'admin', '2023-05-24 09:39:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2068, '单据明细修改', 2065, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:detail:edit', '#', 'admin', '2023-05-24 09:39:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2069, '单据明细删除', 2065, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:detail:remove', '#', 'admin', '2023-05-24 09:39:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2070, '单据明细导出', 2065, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:detail:export', '#', 'admin', '2023-05-24 09:39:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2071, '资产单据', 2064, 1, 'order', 'order/order/index', NULL, 1, 0, 'C', '0', '0', 'order:order:list', '#', 'admin', '2023-05-24 09:40:07', 'admin', '2023-05-27 14:56:06', '资产单据菜单');
INSERT INTO `sys_menu` VALUES (2072, '资产单据查询', 2071, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:order:query', '#', 'admin', '2023-05-24 09:40:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2073, '资产单据新增', 2071, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:order:add', '#', 'admin', '2023-05-24 09:40:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2074, '资产单据修改', 2071, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:order:edit', '#', 'admin', '2023-05-24 09:40:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2075, '资产单据删除', 2071, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:order:remove', '#', 'admin', '2023-05-24 09:40:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2076, '资产单据导出', 2071, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'order:order:export', '#', 'admin', '2023-05-24 09:40:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2077, '盘点管理', 0, 3, 'inventory', NULL, NULL, 1, 0, 'M', '0', '0', '', 'skill', 'admin', '2023-06-01 10:14:20', 'admin', '2023-06-02 09:18:52', '');
INSERT INTO `sys_menu` VALUES (2078, '资产盘点明细', 2077, 1, 'detail', 'inventory/detail/index', NULL, 1, 0, 'C', '1', '0', 'inventory:detail:list', '#', 'admin', '2023-06-01 10:18:19', 'admin', '2023-06-19 14:29:57', '资产盘点明细菜单');
INSERT INTO `sys_menu` VALUES (2079, '资产盘点明细查询', 2078, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:detail:query', '#', 'admin', '2023-06-01 10:18:19', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2080, '资产盘点明细新增', 2078, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:detail:add', '#', 'admin', '2023-06-01 10:18:19', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2081, '资产盘点明细修改', 2078, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:detail:edit', '#', 'admin', '2023-06-01 10:18:19', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2082, '资产盘点明细删除', 2078, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:detail:remove', '#', 'admin', '2023-06-01 10:18:19', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2083, '资产盘点明细导出', 2078, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:detail:export', '#', 'admin', '2023-06-01 10:18:19', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2084, '资产盘点记录', 2077, 1, 'inventory', 'inventory/inventory/index', NULL, 1, 0, 'C', '0', '0', 'inventory:inventory:list', '#', 'admin', '2023-06-01 10:18:29', '', NULL, '资产盘点记录菜单');
INSERT INTO `sys_menu` VALUES (2085, '资产盘点记录查询', 2084, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:inventory:query', '#', 'admin', '2023-06-01 10:18:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2086, '资产盘点记录新增', 2084, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:inventory:add', '#', 'admin', '2023-06-01 10:18:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2087, '资产盘点记录修改', 2084, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:inventory:edit', '#', 'admin', '2023-06-01 10:18:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2088, '资产盘点记录删除', 2084, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:inventory:remove', '#', 'admin', '2023-06-01 10:18:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2089, '资产盘点记录导出', 2084, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'inventory:inventory:export', '#', 'admin', '2023-06-01 10:18:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2090, '资产信息导入', 2014, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'asset:information:import', '#', 'admin', '2023-06-02 15:16:31', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2023-05-12 09:41:34', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2023-05-12 09:41:34', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 735 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2023-05-12 09:41:33', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2023-05-12 09:41:33', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2023-05-12 09:41:33', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2023-05-12 09:41:33', 'admin', '2023-06-05 15:24:44', '普通角色');
INSERT INTO `sys_role` VALUES (100, '审核人员', 'audit', 3, '1', 1, 1, '0', '0', 'admin', '2023-05-22 16:06:30', 'admin', '2023-05-22 16:06:38', NULL);

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 2000);
INSERT INTO `sys_role_menu` VALUES (2, 2008);
INSERT INTO `sys_role_menu` VALUES (2, 2009);
INSERT INTO `sys_role_menu` VALUES (2, 2010);
INSERT INTO `sys_role_menu` VALUES (2, 2011);
INSERT INTO `sys_role_menu` VALUES (2, 2012);
INSERT INTO `sys_role_menu` VALUES (2, 2013);
INSERT INTO `sys_role_menu` VALUES (2, 2014);
INSERT INTO `sys_role_menu` VALUES (2, 2015);
INSERT INTO `sys_role_menu` VALUES (2, 2016);
INSERT INTO `sys_role_menu` VALUES (2, 2017);
INSERT INTO `sys_role_menu` VALUES (2, 2018);
INSERT INTO `sys_role_menu` VALUES (2, 2019);
INSERT INTO `sys_role_menu` VALUES (2, 2020);
INSERT INTO `sys_role_menu` VALUES (2, 2021);
INSERT INTO `sys_role_menu` VALUES (2, 2022);
INSERT INTO `sys_role_menu` VALUES (2, 2023);
INSERT INTO `sys_role_menu` VALUES (2, 2024);
INSERT INTO `sys_role_menu` VALUES (2, 2025);
INSERT INTO `sys_role_menu` VALUES (2, 2064);
INSERT INTO `sys_role_menu` VALUES (2, 2065);
INSERT INTO `sys_role_menu` VALUES (2, 2066);
INSERT INTO `sys_role_menu` VALUES (2, 2067);
INSERT INTO `sys_role_menu` VALUES (2, 2068);
INSERT INTO `sys_role_menu` VALUES (2, 2069);
INSERT INTO `sys_role_menu` VALUES (2, 2070);
INSERT INTO `sys_role_menu` VALUES (2, 2071);
INSERT INTO `sys_role_menu` VALUES (2, 2072);
INSERT INTO `sys_role_menu` VALUES (2, 2073);
INSERT INTO `sys_role_menu` VALUES (2, 2074);
INSERT INTO `sys_role_menu` VALUES (2, 2075);
INSERT INTO `sys_role_menu` VALUES (2, 2076);
INSERT INTO `sys_role_menu` VALUES (2, 2077);
INSERT INTO `sys_role_menu` VALUES (2, 2078);
INSERT INTO `sys_role_menu` VALUES (2, 2079);
INSERT INTO `sys_role_menu` VALUES (2, 2084);
INSERT INTO `sys_role_menu` VALUES (2, 2085);
INSERT INTO `sys_role_menu` VALUES (100, 2000);
INSERT INTO `sys_role_menu` VALUES (100, 2002);
INSERT INTO `sys_role_menu` VALUES (100, 2063);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 102 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2023-11-21 12:59:07', 'admin', '2023-05-12 09:41:33', '', '2023-11-21 12:59:07', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2023-05-26 16:45:06', 'admin', '2023-05-12 09:41:33', '', '2023-05-26 16:45:06', '测试员');
INSERT INTO `sys_user` VALUES (100, 107, '盘点人', '盘点人', '00', '13231@qq.com', '18318377289', '2', '', '$2a$10$S8r0YPOQ7xGFqUt7pDQ1.uEfqesiXct47YISaYKhvxnggv4Vkxkwm', '0', '0', '127.0.0.1', '2023-06-06 10:14:16', 'admin', '2023-06-01 10:34:16', '', '2023-06-06 10:14:15', NULL);
INSERT INTO `sys_user` VALUES (101, 107, 'yonghua', '用户A', '00', '10001@qq.com', '13011110001', '2', '', '$2a$10$kW0R4QUc0l5kKoRjeJkLJ.XLRgqINiY88c5T25lVStakyRyxFZGQO', '0', '0', '', NULL, 'admin', '2023-06-02 11:47:28', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (100, 2);
INSERT INTO `sys_user_role` VALUES (101, 100);

-- ----------------------------
-- Table structure for tb_asset_adjustment
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_adjustment`;
CREATE TABLE `tb_asset_adjustment`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `asset_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产编号',
  `original_asset_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产原信息，以JSON字符串格式存入提取',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调整原因',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调整单号',
  `prepared_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '制单人',
  `prepared_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制单部门',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `order_number`(`order_number` ASC) USING BTREE,
  INDEX `asset_number`(`asset_number` ASC) USING BTREE,
  CONSTRAINT `tb_asset_adjustment_ibfk_1` FOREIGN KEY (`asset_number`) REFERENCES `tb_asset_information` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产调整表' ROW_FORMAT = Dynamic;


-- ----------------------------
-- Table structure for tb_asset_allocation
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_allocation`;
CREATE TABLE `tb_asset_allocation`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调拨单号',
  `call_out_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调出部门',
  `call_out_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调出经办人',
  `call_out_date` timestamp NULL DEFAULT NULL COMMENT '调出日期',
  `call_in_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调入部门',
  `call_in_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调入经办人',
  `call_in_date` timestamp NULL DEFAULT NULL COMMENT '调入日期',
  `asset_total_original_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产总原值（元）',
  `asset_total_net_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产总净值（元）',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调拨说明',
  `prepared_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '制单人',
  `prepared_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制单部门',
  `corporation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '所属公司',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  `new_responsible_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '新管理人',
  `new_location_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '新功能位置编号',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `order_number`(`order_number` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产调拨表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_asset_allocation
-- ----------------------------

-- ----------------------------
-- Table structure for tb_asset_allocation_detail
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_allocation_detail`;
CREATE TABLE `tb_asset_allocation_detail`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `allocation_order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '调拨单号',
  `asset_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产编号',
  `old_responsible_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '旧管理人',
  `old_location_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '旧功能位置编号',
  `new_responsible_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '新管理人',
  `new_location_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '新功能位置编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `asset_number`(`asset_number` ASC) USING BTREE,
  INDEX `allocation_order_number`(`allocation_order_number` ASC) USING BTREE,
  CONSTRAINT `tb_asset_allocation_detail_ibfk_1` FOREIGN KEY (`asset_number`) REFERENCES `tb_asset_information` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `tb_asset_allocation_detail_ibfk_2` FOREIGN KEY (`allocation_order_number`) REFERENCES `tb_asset_allocation` (`order_number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产调拨明细表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_asset_allocation_detail
-- ----------------------------

-- ----------------------------
-- Table structure for tb_asset_category
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_category`;
CREATE TABLE `tb_asset_category`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '分类编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '名称',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `number`(`number` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产分类表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tb_asset_information
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_information`;
CREATE TABLE `tb_asset_information`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产条码',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产名称',
  `number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产编号',
  `image_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '图片路径',
  `category_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产分类编号',
  `specifications_model` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '规格型号',
  `abc_category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'ABC分类',
  `manage_status` int NOT NULL DEFAULT 0 COMMENT '管理状态，0：闲置',
  `user_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '使用部门',
  `department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '管理部门',
  `responsible_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '责任人',
  `location_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '所在位置编号',
  `property` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产性质',
  `purchase_date` timestamp NULL DEFAULT NULL COMMENT '购置日期',
  `commissioning_date` timestamp NULL DEFAULT NULL COMMENT '启用日期',
  `original_value` double(12, 2) UNSIGNED ZEROFILL NULL DEFAULT 000000000.00 COMMENT '原值（元）',
  `durable_years` int NULL DEFAULT NULL COMMENT '使用年限',
  `net_value` double(12, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '净值（元）',
  `residual_value` double(12, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '残值（元）',
  `accumulated_depreciation` double(12, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '累计折旧（元）',
  `last_depreciation_date` timestamp NULL DEFAULT NULL COMMENT '最近折旧日期',
  `depreciation_method` int NULL DEFAULT 0 COMMENT '折旧方式，0：其他',
  `contract_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '合同编号',
  `factory_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '出厂编号',
  `manufacturer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制造商',
  `supplier` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '供应商',
  `purpose` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产用途',
  `maintenance_date` timestamp NULL DEFAULT NULL COMMENT '维保到期日期',
  `maintenance_tel` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '维修电话',
  `maintenance_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '维修人员',
  `corporation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '所属公司',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  `is_whitelist` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否白名单',
  `quantity` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '数量',
  `units` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '计量单位',
  `reserved_column_d` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段d',
  `reserved_column_e` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段e',
  `reserved_column_f` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段f',
  `reserved_column_g` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段g',
  `reserved_column_h` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段h',
  `reserved_column_i` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段i',
  `reserved_column_j` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预留字段j',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `number`(`number` ASC) USING BTREE,
  INDEX `category_number`(`category_number` ASC) USING BTREE,
  INDEX `location_number`(`location_number` ASC) USING BTREE,
  CONSTRAINT `tb_asset_information_ibfk_1` FOREIGN KEY (`category_number`) REFERENCES `tb_asset_category` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `tb_asset_information_ibfk_2` FOREIGN KEY (`location_number`) REFERENCES `tb_location` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产信息表' ROW_FORMAT = DYNAMIC;


-- ----------------------------
-- Table structure for tb_asset_inventory
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_inventory`;
CREATE TABLE `tb_asset_inventory`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '资产盘点记录编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '单据编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '任务名称',
  `inventory_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '盘点部门',
  `inventory_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '盘点人',
  `inventory_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '盘点日期',
  `inventory_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '盘点位置',
  `inventory_status` int NOT NULL DEFAULT 0 COMMENT '盘点状态，0:盘点编制，1：盘点执行，2：盘点完毕，3：盘点暂停',
  `inventory_result` int NOT NULL DEFAULT 0 COMMENT '盘点结果，0：未盘，1：盘盈，2：盘亏，3：正常',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录创建时间',
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '记录更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `order_number`(`order_number` ASC) USING BTREE,
  INDEX `inventory_location`(`inventory_location` ASC) USING BTREE,
  CONSTRAINT `tb_asset_inventory_ibfk_1` FOREIGN KEY (`inventory_location`) REFERENCES `tb_location` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 31 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产盘点记录表' ROW_FORMAT = DYNAMIC;


-- ----------------------------
-- Table structure for tb_asset_lend
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_lend`;
CREATE TABLE `tb_asset_lend`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '借出单号',
  `asset_total_original_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产总原值（元）',
  `asset_total_net_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产总净值（元）',
  `application_date` timestamp NULL DEFAULT NULL COMMENT '申请日期',
  `lend_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '借出部门',
  `by_sponsor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '经手人',
  `passing_unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '往来单位',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '借用说明',
  `prepared_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '制单人',
  `prepared_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制单部门',
  `corporation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '所属公司',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `order_number`(`order_number` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产借出表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tb_asset_lend
-- ----------------------------

-- ----------------------------
-- Table structure for tb_asset_order
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_order`;
CREATE TABLE `tb_asset_order`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '单据编号',
  `asset_total_original_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产总原值（元）',
  `asset_total_net_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '资产总净值（元）',
  `application_date` timestamp NULL DEFAULT NULL COMMENT '申请日期',
  `application_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '申请部门',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '原因说明',
  `prepared_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '制单人',
  `prepared_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制单部门',
  `corporation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '所属公司',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  `order_type` int NOT NULL DEFAULT 0 COMMENT '单据类型，0：未知',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `order_number`(`order_number` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产单据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_asset_order
-- ----------------------------

-- ----------------------------
-- Table structure for tb_asset_order_detail
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_order_detail`;
CREATE TABLE `tb_asset_order_detail`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '单据编号',
  `asset_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产编号',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `asset_number`(`asset_number` ASC) USING BTREE,
  INDEX `order_number`(`order_number` ASC) USING BTREE,
  CONSTRAINT `tb_asset_order_detail_ibfk_1` FOREIGN KEY (`asset_number`) REFERENCES `tb_asset_information` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `tb_asset_order_detail_ibfk_2` FOREIGN KEY (`order_number`) REFERENCES `tb_asset_order` (`order_number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产单据明细表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_asset_order_detail
-- ----------------------------

-- ----------------------------
-- Table structure for tb_asset_return
-- ----------------------------
DROP TABLE IF EXISTS `tb_asset_return`;
CREATE TABLE `tb_asset_return`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `lend_order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '借出单号',
  `asset_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产编号',
  `return_date` timestamp NOT NULL COMMENT '预计归还时间',
  `actual_return_date` timestamp NULL DEFAULT NULL COMMENT '实际归还时间',
  `by_sponsor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '归还经手人',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `asset_number`(`asset_number` ASC) USING BTREE,
  INDEX `lend_order_number`(`lend_order_number` ASC) USING BTREE,
  CONSTRAINT `tb_asset_return_ibfk_1` FOREIGN KEY (`asset_number`) REFERENCES `tb_asset_information` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `tb_asset_return_ibfk_2` FOREIGN KEY (`lend_order_number`) REFERENCES `tb_asset_lend` (`order_number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产归还表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tb_asset_return
-- ----------------------------

-- ----------------------------
-- Table structure for tb_inventory_detail
-- ----------------------------
DROP TABLE IF EXISTS `tb_inventory_detail`;
CREATE TABLE `tb_inventory_detail`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '单据编号',
  `inventory_metadata` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '盘点元数据',
  `is_update_data` int NOT NULL DEFAULT 0 COMMENT '是否更新数据',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `order_number`(`order_number` ASC) USING BTREE,
  CONSTRAINT `tb_inventory_detail_ibfk_1` FOREIGN KEY (`order_number`) REFERENCES `tb_asset_inventory` (`order_number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产盘点明细表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tb_location
-- ----------------------------
DROP TABLE IF EXISTS `tb_location`;
CREATE TABLE `tb_location`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '位置编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父级ID，无则为0',
  `sequence` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '祖级列表，使用英文逗号隔开',
  `label` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '位置标签',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `number`(`number` ASC, `id` ASC, `parent_id` ASC, `name` ASC) USING BTREE,
  INDEX `number_2`(`number` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 20 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '所属位置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tb_order
-- ----------------------------
DROP TABLE IF EXISTS `tb_order`;
CREATE TABLE `tb_order`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '单据编号',
  `order_type` int NOT NULL DEFAULT 0 COMMENT '单据类型，0：未知：1：调整，2：调拨，3：借出，4：拆分， 5：闲置，6：启用，7：报废，8：变卖',
  `application_date` timestamp NULL DEFAULT NULL COMMENT '申请日期',
  `application_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '申请部门',
  `adjustment_asset_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调整】资产编号',
  `adjustment_original_asset_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '【调整】资产原信息，以JSON字符串格式存入提取',
  `allocation_call_out_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】调出部门',
  `allocation_call_out_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】调出经办人',
  `allocation_call_out_date` timestamp NULL DEFAULT NULL COMMENT '【调拨】调出日期',
  `allocation_call_in_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】调入部门',
  `allocation_call_in_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】调入经办人',
  `allocation_call_in_date` timestamp NULL DEFAULT NULL COMMENT '【调拨】调入日期',
  `lend_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【借出】借出部门',
  `lend_by_sponsor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【借出】经手人',
  `lend_passing_unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【借出】往来单位',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '原因说明',
  `prepared_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '制单人，创建人',
  `prepared_department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制单部门',
  `corporation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '所属公司',
  `record_status` int NOT NULL DEFAULT 0 COMMENT '记录状态，0：未提交，1：已提交',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `order_number`(`order_number` ASC) USING BTREE,
  INDEX `adjustment_asset_number`(`adjustment_asset_number` ASC) USING BTREE,
  CONSTRAINT `tb_order_ibfk_1` FOREIGN KEY (`adjustment_asset_number`) REFERENCES `tb_asset_information` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产单据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tb_order_detail
-- ----------------------------
DROP TABLE IF EXISTS `tb_order_detail`;
CREATE TABLE `tb_order_detail`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `order_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '单据编号',
  `asset_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '资产编号',
  `allocation_old_responsible_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】旧管理人',
  `allocation_old_location_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】旧功能位置编号',
  `allocation_new_responsible_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】新管理人',
  `allocation_new_location_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【调拨】新功能位置编号',
  `lend_return_date` timestamp NULL DEFAULT NULL COMMENT '【借出】预计归还时间',
  `lend_actual_return_date` timestamp NULL DEFAULT NULL COMMENT '【借出】实际归还时间',
  `lend_by_sponsor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '【借出】归还经手人',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `asset_number`(`asset_number` ASC) USING BTREE,
  INDEX `order_number`(`order_number` ASC) USING BTREE,
  CONSTRAINT `tb_order_detail_ibfk_1` FOREIGN KEY (`asset_number`) REFERENCES `tb_asset_information` (`number`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `tb_order_detail_ibfk_2` FOREIGN KEY (`order_number`) REFERENCES `tb_order` (`order_number`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '资产单据明细表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
